%global debug_package %{nil}

Name:           bpytop
Version:        1.0.55
Release:        %mkrel 1
Summary:        Linux/OSX/FreeBSD resource monitor 
Group:          Monitoring
License:        ASL 2.0
URL:            https://github.com/aristocratos/bpytop
Source0:        https://github.com/aristocratos/bpytop/archive/v%{version}/bpytop-%{version}.tar.gz
BuildArch:      noarch

Requires:       python3
Requires:       python3dist(psutil)

%description
Resource monitor that shows usage and stats for processor, memory, disks,
network and processes

Features:
 
- Easy to use, with a game inspired menu system.
- Full mouse support, all buttons with a highlighted key is clickable and mouse
  scroll works in process list and menu boxes.
- Fast and responsive UI with UP, DOWN keys process selection.
- Function for showing detailed stats for selected process.
- Ability to filter processes, multiple filters can be entered.
- Easy switching between sorting options.
- Send SIGTERM, SIGKILL, SIGINT to selected process.
- UI menu for changing all config file options.
- Auto scaling graph for network usage.
- Shows message in menu if new version is available
- Shows current read and write speeds for disks

This is a Python fork of bashtop.

%prep
%autosetup

# Disable automatic update check
sed -i 's|update_check: bool = True|update_check: bool = False|' bpytop.py

%build
# Nothing to build

%install
%make_install PREFIX=%{_prefix}

rm %{buildroot}%{_datadir}/%{name}/doc/README.md

%files
%license LICENSE
%doc README.md CHANGELOG.md CONTRIBUTING.md
%{_bindir}/%{name}
%{_datadir}/%{name}/


%changelog
* Sat Jan 02 2021 kekepower <kekepower> 1.0.55-1.mga8
+ Revision: 1668369
- Update to version 1.0.55

* Fri Jan 01 2021 kekepower <kekepower> 1.0.54-1.mga8
+ Revision: 1667601
- Update to version 1.0.54
- Update to version 1.0.52

* Sat Dec 19 2020 kekepower <kekepower> 1.0.51-1.mga8
+ Revision: 1661347
- Update to version 1.0.51

* Tue Nov 03 2020 kekepower <kekepower> 1.0.50-1.mga8
+ Revision: 1642407
- Update to version 1.0.50

* Sun Nov 01 2020 kekepower <kekepower> 1.0.49-1.mga8
+ Revision: 1641278
- imported package bpytop

